SDKUIPlugin (Carbide.c++ SDK API Reference)
Keywords: com.nokia.carbide.cpp.sdk.ui.SDKUIPlugin class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Carbide.c++
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.nokia.carbide.cpp.sdk.ui
Class SDKUIPlugin

    java.lang.Object
      AbstractUIPlugin
          com.nokia.carbide.cpp.sdk.ui.SDKUIPlugin

All Implemented Interfaces:
  com.nokia.carbide.cpp.internal.api.sdk.ICarbideDevicesXMLChangeListener

    public class SDKUIPlugin

extends AbstractUIPlugin
implements com.nokia.carbide.cpp.internal.api.sdk.ICarbideDevicesXMLChangeListener

The activator class controls the plug-in life cycle

Field Summary
`static java.lang.String` | `PLUGIN_ID`

Constructor Summary
`SDKUIPlugin()` The constructor

Method Summary
`void` | `devicesXMLOutOfSync()` Event received when devices.xml on disk is different from the SDK list in Carbide.
`void` | `earlyStartup()`
`static SDKUIPlugin` | `getDefault()` Returns the shared instance
`static ImageDescriptor` | `getImageDescriptor(java.lang.String path)` Returns an image descriptor for the image file at the given plug-in relative path
`void` | `start(BundleContext context)`
`void` | `stop(BundleContext context)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### PLUGIN_ID

    public static final java.lang.String PLUGIN_ID

See Also:
  Constant Field Values

Constructor Detail

### SDKUIPlugin

    public SDKUIPlugin()

  The constructor

Method Detail

### start

    public void start(BundleContext context)
               throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### stop

    public void stop(BundleContext context)
              throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### getDefault

    public static SDKUIPlugin getDefault()

  Returns the shared instance

  Returns:
    the shared instance

### getImageDescriptor

    public static ImageDescriptor getImageDescriptor(java.lang.String path)

  Returns an image descriptor for the image file at the given plug-in relative path

  Parameters:
    `path` - the path
  Returns:
    the image descriptor

### earlyStartup

    public void earlyStartup()

### devicesXMLOutOfSync

    public void devicesXMLOutOfSync()

  Description copied from interface: `com.nokia.carbide.cpp.internal.api.sdk.ICarbideDevicesXMLChangeListener`
  Event received when devices.xml on disk is different from the SDK list in Carbide.

  Specified by:
    `devicesXMLOutOfSync` in interface `com.nokia.carbide.cpp.internal.api.sdk.ICarbideDevicesXMLChangeListener`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Carbide.c++
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD